> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yorlet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a guarantor



## OpenAPI

````yaml openapi-leasing.json POST /v1/guarantors
openapi: 3.1.0
info:
  title: Yorlet Leasing API
  description: >-
    APIs for managing applications, deposits, guarantors, references, and
    tenancies.
  version: 1.0.0
servers:
  - url: https://api.yorlet.com
    description: Production
  - url: https://api.yorlet.io
    description: Sandbox
security: []
paths:
  /v1/guarantors:
    post:
      tags:
        - Guarantors
      summary: Create a guarantor
      operationId: guarantors_create
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                address:
                  type: object
                  properties:
                    line1:
                      type:
                        - string
                        - 'null'
                    line2:
                      type:
                        - string
                        - 'null'
                    city:
                      type:
                        - string
                        - 'null'
                    country:
                      type:
                        - string
                        - 'null'
                    postal_code:
                      type:
                        - string
                        - 'null'
                    state:
                      type:
                        - string
                        - 'null'
                  description: The guarantor's address.
                application_status:
                  type: string
                  pattern: ^[a-zA-Z0-9_]+$
                  description: >-
                    The ID of the applicant status to associate the guarantor
                    with.
                business_type:
                  type: string
                  enum:
                    - individual
                    - company
                  description: The legal type of the guarantor.
                company:
                  type: object
                  properties:
                    name:
                      type:
                        - string
                        - 'null'
                      description: Legal name of the guarantor company.
                    number:
                      type:
                        - string
                        - 'null'
                      description: The company's registration number.
                  description: Company details. Required when `business_type` is `company`.
                customer:
                  type: string
                  pattern: ^[a-zA-Z0-9_]+$
                  description: The ID of the customer the guarantor is for.
                email:
                  type: string
                  minLength: 1
                  description: The guarantor's email address.
                first_name:
                  type: string
                  description: The guarantor's first name.
                last_name:
                  type: string
                  description: The guarantor's last name.
                phone:
                  type: string
                  description: The guarantor's phone number.
              required:
                - business_type
                - email
      responses:
        '200':
          description: Returns the created guarantor object.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Unique identifier for the object.
                  created:
                    type: number
                    description: >-
                      Time at which the object was created. Measured in seconds
                      since the Unix epoch.
                  account:
                    type: string
                    description: >-
                      The account that the object belongs to. Only returned if
                      the request is made with a valid Yorlet-Context header.
                  deleted:
                    type: boolean
                    default: false
                    description: Only returned if the object has been deleted.
                  object:
                    type: string
                    enum:
                      - guarantor
                  address:
                    type: object
                    properties:
                      line1:
                        type:
                          - string
                          - 'null'
                      line2:
                        type:
                          - string
                          - 'null'
                      city:
                        type:
                          - string
                          - 'null'
                      country:
                        type:
                          - string
                          - 'null'
                      postal_code:
                        type:
                          - string
                          - 'null'
                      state:
                        type:
                          - string
                          - 'null'
                    description: The guarantor address.
                  application:
                    anyOf:
                      - type: string
                      - type: object
                        additionalProperties: {}
                      - type: 'null'
                    description: The application associated with the guarantor.
                  application_status:
                    anyOf:
                      - type: string
                      - type: object
                        additionalProperties: {}
                      - type: 'null'
                    description: The applicant status associated with the guarantor.
                  business_type:
                    type: string
                    enum:
                      - individual
                      - company
                    description: The guarantor business type.
                  company:
                    type:
                      - object
                      - 'null'
                    properties:
                      name:
                        type:
                          - string
                          - 'null'
                        description: Legal name of the guarantor company.
                      number:
                        type:
                          - string
                          - 'null'
                        description: The company's registration number.
                    required:
                      - name
                      - number
                    description: Company details when business type is company.
                  contract:
                    anyOf:
                      - type: string
                      - type: object
                        additionalProperties: {}
                      - type: 'null'
                    description: The guarantor contract identifier.
                  email:
                    type:
                      - string
                      - 'null'
                    description: The guarantor email.
                  first_name:
                    type:
                      - string
                      - 'null'
                    description: The guarantor first name.
                  last_name:
                    type:
                      - string
                      - 'null'
                    description: The guarantor last name.
                  name:
                    type:
                      - string
                      - 'null'
                    description: The guarantor full name.
                  phone:
                    type:
                      - string
                      - 'null'
                    description: The guarantor phone.
                  status:
                    type: string
                    description: The guarantor status.
                required:
                  - id
                  - created
                  - object
                  - address
                  - application
                  - application_status
                  - business_type
                  - company
                  - contract
                  - email
                  - first_name
                  - last_name
                  - name
                  - phone
                  - status
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: API Key authentication. Use "Bearer YOUR_API_KEY".

````